Index: fltk/Browser.h
===================================================================
--- fltk/Browser.h	(revision 5809)
+++ fltk/Browser.h	(working copy)
@@ -154,7 +154,10 @@
   void middleline(int line) {goto_index(line); make_item_visible();}
   bool displayed(int line);
   bool display(int line, bool value = true);
-
+  
+  bool displaylines() const;
+  void displaylines(bool display);
+  
   int load(const char *filename);
  
   int multi() const {return type()&IS_MULTI;}
@@ -168,6 +171,7 @@
   void handle_callback(int doit); // defines how cb are handled in the browser
 
 private:
+  bool displaylines_;
   bool indented_;
   const int *column_widths_; // original column widths
   int *column_widths_i;      // original column widths after user interaction
Index: src/Browser.cxx
===================================================================
--- src/Browser.cxx	(revision 5809)
+++ src/Browser.cxx	(working copy)
@@ -619,32 +619,31 @@
   int inset = (HERE.level+indented())*arrow_size;
 
   // draw the open/close glyphs at the left:
-  if (damage && inset > xposition_) {
-    drawstyle(style(), 0);
-    Color fg = getcolor();
-    setcolor(getbgcolor());
-    fillrect(0, y, inset-xposition_+arrow_size, item_h());
-    setcolor(fg);
-    bool preview_open = openclose_drag == 1 && pushed() && at_mark(FOCUS);
-    for (unsigned j = indented() ? 0 : 1; j <= HERE.level; j++) {
-      int g = (HERE.indexes[j] < children(HERE.indexes,j) - 1) ? 1 : 0;
-      if (j == HERE.level) {
+	if (damage && inset > xposition_) {
+		drawstyle(style(), 0);
+		Color fg = getcolor();
+		setcolor(getbgcolor());
+		fillrect(0, y, inset-xposition_+arrow_size, item_h());
+		setcolor(fg);
+		bool preview_open = openclose_drag == 1 && pushed() && at_mark(FOCUS);
+		for (unsigned j = indented() ? 0 : 1; j <= HERE.level; j++) {
+			int g = (HERE.indexes[j] < children(HERE.indexes,j) - 1) ? 1 : 0;
+			if (j == HERE.level) {
 	if (children(HERE.indexes,j+1)>=0)
-	  if (item_is_open() != preview_open)
-	    g += OPEN_ELL;
-	  else
-	    g += CLOSED_ELL;
+		if (item_is_open() != preview_open)
+			g += OPEN_ELL;
+		else
+			g += CLOSED_ELL;
 	else
-	  g += ELL;
-      }
-      // if (getcolor()==BLACK) setcolor(GRAY33);
-      draw_glyph(g, Rectangle(x, y, arrow_size, item_h()));
-      x += arrow_size;
-    }
-  } else {
-    x += inset;
-  }
-
+		g += ELL;
+			}
+			// if (getcolor()==BLACK) setcolor(GRAY33);
+			if (displaylines_) draw_glyph(g, Rectangle(x, y, arrow_size, item_h()));
+			x += arrow_size;
+		}
+	} else {
+	x += inset;
+	}
   // Shift first column width, so labels after 1. column are lined up correctly.
   int saved_colw = 0;
   int *cols = (int *)column_widths_p;
@@ -1828,7 +1827,15 @@
   Convenience function for non-hierarchial browsers.
   Make the indexed item visible and scroll to put it at the bottom of
   the browser. */
+  
+bool Browser::displaylines() const {
+  return displaylines_;
+}
 
+void Browser::displaylines(bool display) {
+  displaylines_ = display;
+}
+
 ////////////////////////////////////////////////////////////////
 // Constructor
 
@@ -1872,6 +1879,7 @@
   nHeader = 0; header_ = 0;
   leaf_symbol_ = 0;
   group_symbol_ = 0;
+  displaylines_ = true;
   OPEN.unset();
   Group::current(parent());
 }
